.kustomize-setup:
  script:
    - |-
      #
      echo -e "\e[0Ksection_start:`date +%s`:rancher-setup[collapsed=true]\r\e[0K\e[1;32mRancher setup\e[21;0m"
      if test -n "$KUSTOMIZE_VER"; then
        if ! command -v curl; then
          echo "- Curl missing. Installing it"
          if command -v apk; then
            apk add --no-cache curl
          fi
          if command -v apt; then
            apt-get update
            apt-get install curl
          fi
        fi
        echo "- Downloading kustomize"
        curl -Ls https://github.com/kubernetes-sigs/kustomize/releases/download/kustomize%2Fv${KUSTOMIZE_VER}/kustomize_v${KUSTOMIZE_VER}_linux_amd64.tar.gz -o kustomize.tgz
        echo "- Installing"
        tar zxf kustomize.tgz
        chmod +x kustomize
        mv kustomize /usr/bin/
        mkdir -p ~/.config/kustomize/plugin
        echo "- Done"
      fi
      echo -e "\e[0Ksection_end:`date +%s`:rancher-setup\r\e[0K"
